// 2020-01-02
// 王泽生Kurri  10:27:23
// topjs3 从数据库取字段类型是TIME的数据时，取到的是一个Object，如果用_.toString() 会得到一个空map，但是直接print或者用原生的String得到的就会使时间字符串，这个是啥原因啊？

// 王泽生Kurri  10:27:43
// Date类型的字段就没问题


var db = require('topsin.database')
var _ = require('lodash')
require('topsin.error')

db.addConnection({
    database_type: 'pg',
    database_host: '139.196.104.13:5433',
    database_name: 'TOPMES6_SEC_PMO_V6',
    database_user: 'toplinker',
    database_pwd: 'TopLinker0510'
}, "SEC");
var query = db.query('SEC');
var data = query.selectMap({
    table: 'sec_production_order_confirmation',
    field: 'posting_date,confirmation_entry_time',
    where: {
        id: [4,5]
    }
})
db.removeConnection("SEC");

var date1 = data.posting_date
var time1 = data.confirmation_entry_time

print(typeof(date1))            // string
print(date1)                    // 2019-07-22
print(String(date1))            // 2019-07-22
print(JSON.stringify(date1))    // "2019-07-22"
print(_.toString(date1))        // 2019-07-22
print(date1.toString())         // 2019-07-22
print(date1.valueOf())          // 2019-07-22

print('-------------------------')
print(typeof(time1))            // object
print(Object.getOwnPropertyNames(time1))       // object
print(time1)                    // 16:28:36
print(String(time1))            // 16:28:36
print(JSON.stringify(time1))    // {}
print(_.toString(time1))        // {}
print(time1.toString())         // 16:28:36
print(time1.valueOf())          // 16:28:36

